#!/bin/bash
_END=$1
if [ "x$_END" == "x" ]; then
	echo "Indicate how many nodes to run"
	exit 1
fi

_WORKING_DIRECTORY="$HOME/flnetp2p/manual_testing"
_INITIAL_PORT=4000
_BOOTSTRAP_PORT=$_INITIAL_PORT
for i in $(seq 1 $_END)
do
	_NODE_PORT=$(expr $_INITIAL_PORT + $i - 1)
	if [ "$i" == "1" ]; then
		xfce4-terminal --default-working-directory="$_WORKING_DIRECTORY" -e "bash -c \"./run_local_node.sh $_NODE_PORT -1 NODE_$i\"" -T "NODE_$i"
	else
		xfce4-terminal --default-working-directory="$_WORKING_DIRECTORY" -e "bash -c \"./run_local_node.sh $_NODE_PORT $_BOOTSTRAP_PORT NODE_$i\"" -T "NODE_$i"
	fi
	sleep 2
done
