class TrainingModelParamsModel:
    def __init__(self, node=None, model_params=None):
        self.node = node
        self.model_params = model_params

    def __hash__(self):
        if self.node is None or self.node.node_id is None:
            return -1

        return hash(self.node.node_id)

    def __eq__(self, other):
        if not isinstance(other, TrainingModelParamsModel) or (self.node is None and other is not None):
            return False

        return self.node == other.node and self.model_params == other.model_params
