class FederatedLearningModel:
    def __init__(self, learning_rate=1, epochs=10, batch_size=5):
        self.learning_rate = learning_rate
        self.epochs = epochs
        self.batch_size = batch_size

    def __str__(self):
        return 'Learning Rate: {}, Epochs: {}, Batch size: {}'.format(
            self.learning_rate,
            self.epochs,
            self.batch_size)

    def to_message_body(self):
        return {'e': self.epochs, 'u': self.learning_rate, 'b': self.batch_size}

    def process_message_body(self, message_body):
        self.epochs = message_body['e']
        self.learning_rate = message_body['u']
        self.batch_size = message_body['b']
